/*
**                     Copyright 1995,1996 by KVASER AB
**         P.O Box 4076 S-51104 KINNAHULT, SWEDEN. Tel. +46 320 15287
**
** This software is furnished under a license and may be used and copied
** only in accordance with the terms of such license.
**
** Ver  Date    Sign    What
** 1.0  961021  DB&KS   Created.
**  $Revision: 1.1 $
**  $Header: s:\\CANLIB\\canlib16\\inc\\pccan.h_v 1.1 1997/07/04 18:58:25 db Exp db $
*/
#ifndef _PCCAN_H_
#define _PCCAN_H_

#define PHILIPS_OFFSET      0x4000U
#define XILINX_OFFSET       0x6000U
#define INTEL_OFFSET        0x2000U


/*
** Registers in 1.0B-3:
** 00 IRQ control.
** 01 Reset.
** 02 Interrupt status and clock control.
** 03 Obsolete, formerly T-CANnector
**
*/

#define XREG_IRQ            0

#define XREG_CTRL           1
#define XREG_CTRL_NORESET   1


// "2" is valid for 1.0B-3
// Older PCCAN cards have the interrupt register at address 0.
#define XREG_INTERRUPT      2
#define XREG_CLOCK          XREG_INTERRUPT
#define XREG_CLOCK_ONBOARD  0x80

#endif

